Bug 2000607 - Domain mapping movement from one service to another is not intutive
Summary: Domain mapping movement from one service to another is not intutive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Karthik Jeeyar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-02 13:38 UTC by Karthik Jeeyar
Modified: 2021-10-18 17:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:51:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9977 0 None None None 2021-09-02 13:39:57 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:19 UTC

Description Karthik Jeeyar 2021-09-02 13:38:28 UTC
Description of problem:

Moving from the domain from one resource to another is not intuitive. The user should be given a warning or message.


Version-Release number of selected component (if applicable):

4.9

How reproducible:
Always


Steps to Reproduce:

1.Create a serverless workload with domain mapping
2.Check the domain mapping details in the workload sidebar
3.Create another workload using same domain mapping
4. Check the domain mapping details on the first workload

Actual results:
Domain mapping is removed from the first workload without any warning


Expected results:
A warning should be provided to the user

Comment 3 Vikram Raj 2021-09-08 15:04:49 UTC
Verified it on 4.9.0-0.nightly-2021-09-07-201519. And it works as expected. Now the user can see the alert when the user select the already used domain mapping.

Comment 6 errata-xmlrpc 2021-10-18 17:51:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.